OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
AttributeHashFilter< RandGenT, IntType > Class Template Reference

`#include <openvdb/points/IndexFilter.h>`

## Public Types
using | Handle = AttributeHandle< IntType >

## Public Member Functions
| AttributeHashFilter (const size_t index, const double percentage, const unsigned int seed=0)
| AttributeHashFilter (const AttributeHashFilter &filter)
bool | initialized () const
template<typename LeafT >
void | reset (const LeafT &leaf)
template<typename IterT >
bool | valid (const IterT &iter) const

## Static Public Member Functions
static index::State | state ()
template<typename LeafT >
static index::State | state (const LeafT &)

## Member Typedef Documentation

## ◆ Handle

template<typename RandGenT , typename IntType >

using Handle = AttributeHandle<IntType>

## Constructor & Destructor Documentation

## ◆ AttributeHashFilter() [1/2]

template<typename RandGenT , typename IntType >

AttributeHashFilter | ( | const size_t | index,
|  | const double | percentage,
|  | const unsigned int | seed = `0`
| ) |  |
| inline

## ◆ AttributeHashFilter() [2/2]

template<typename RandGenT , typename IntType >

AttributeHashFilter | ( | const AttributeHashFilter< RandGenT, IntType > & | filter | ) |
| inline

## Member Function Documentation

## ◆ initialized()

template<typename RandGenT , typename IntType >

bool initialized | ( |  | ) | const
| inline

## ◆ reset()

template<typename RandGenT , typename IntType >
template<typename LeafT >

void reset | ( | const LeafT & | leaf | ) |
| inline

## ◆ state() [1/2]

template<typename RandGenT , typename IntType >

static index::State state | ( |  | ) |
| inline static

## ◆ state() [2/2]

template<typename RandGenT , typename IntType >
template<typename LeafT >

static index::State state | ( | const LeafT & |  | ) |
| inline static

## ◆ valid()

template<typename RandGenT , typename IntType >
template<typename IterT >

bool valid | ( | const IterT & | iter | ) | const
| inline